<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- IBM UrbanCode Deploy
- IBM UrbanCode Release
- IBM AnthillPro
- (c) Copyright IBM Corporation 2002, 2016. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <migrate to-version="7">
    <migrate-command name="Check Approval Status"/>
    <migrate-command name="Check Change Request Status"/>
    <migrate-command name="Set Change Request Status"/>
    <migrate-command name="Check Change Request's Child Tasks Statuses"/>
    <migrate-command name="Update Tasks Statuses"/>
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Check Approval Status"/>
    <migrate-command name="Check Change Request Status"/>
    <migrate-command name="Set Change Request Status"/>
    <migrate-command name="Check Change Request's Child Tasks Statuses"/>
    <migrate-command name="Update Tasks Statuses"/>
    <migrate-command name="Insert Row Into CMDB Table"/>
    <migrate-command name="Delete Row From CMDB Table"/>
    <migrate-command name="Delete Multiple Rows From CMDB Table"/>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Check Approval Status">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Check Change Request Status">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Set Change Request Status">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Check Change Request's Child Tasks Statuses">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Update Tasks Statuses">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Insert Row Into CMDB Table">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Row From CMDB Table">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Multiple Rows From CMDB Table">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="10">
    <migrate-command name="Check Approval Status">
    </migrate-command>
    <migrate-command name="Check Change Request Status">
    </migrate-command>
    <migrate-command name="Set Change Request Status">
    </migrate-command>
    <migrate-command name="Check Change Request's Child Tasks Statuses">
    </migrate-command>
    <migrate-command name="Update Tasks Statuses">
    </migrate-command>
    <migrate-command name="Insert Row Into CMDB Table">
    </migrate-command>
    <migrate-command name="Delete Row From CMDB Table">
    </migrate-command>
    <migrate-command name="Delete Multiple Rows From CMDB Table">
    </migrate-command>
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Check Approval Status">
    </migrate-command>
    <migrate-command name="Check Change Request Status">
    </migrate-command>
    <migrate-command name="Set Change Request Status">
    </migrate-command>
    <migrate-command name="Check Change Request's Child Tasks Statuses">
    </migrate-command>
    <migrate-command name="Update Tasks Statuses">
    </migrate-command>
    <migrate-command name="Insert Table Record" old="Insert Row Into CMDB Table">
    </migrate-command>
    <migrate-command name="Delete Table Record" old="Delete Row From CMDB Table">
    </migrate-command>
    <migrate-command name="Delete Multiple Table Records" old="Delete Multiple Rows From CMDB Table">
    </migrate-command>
  </migrate>
  <migrate to-version="12">
    <migrate-command name="Check Approval Status">
    </migrate-command>
    <migrate-command name="Check Change Request Status">
    </migrate-command>
    <migrate-command name="Set Change Request Status">
    </migrate-command>
    <migrate-command name="Check Change Request's Child Tasks Statuses">
    </migrate-command>
    <migrate-command name="Update Tasks Statuses">
    </migrate-command>
    <migrate-command name="Insert Table Record">
    </migrate-command>
    <migrate-command name="Delete Table Record">
    </migrate-command>
    <migrate-command name="Delete Multiple Table Records" >
    </migrate-command>
  </migrate>
  <migrate to-version="13">
    <migrate-command
      name="_DEPRECATED Check Approval Status"
      old="Check Approval Status"/>
    <migrate-command
      name="_DEPRECATED Check Change Request Status"
      old="Check Change Request Status"/>
    <migrate-command
      name="_DEPRECATED Set Change Request Status"
      old="Set Change Request Status"/>
    <migrate-command
      name="_DEPRECATED Check Change Request's Child Tasks Statuses"
      old="Check Change Request's Child Tasks Statuses"/>
    <migrate-command
      name="_DEPRECATED Update Tasks Statuses"
      old="Update Tasks Statuses"/>
    <migrate-command name="Create Records" old="Insert Table Record">
      <migrate-properties>
        <migrate-property name="id" default=""/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Records" old="Delete Table Record">
      <migrate-properties>
        <migrate-property name="id" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command
      name="_DEPRECATED Delete Multiple Table Records"
      old="Delete Multiple Table Records"/>
  </migrate>

  <migrate to-version="14">
    <migrate-command
      name="Check Approval status"
      old="_DEPRECATED Check Approval Status"/>
    <migrate-command
      name="Check Change Request status"
      old="_DEPRECATED Check Change Request Status"/>
    <migrate-command
      name="Set Change Request status"
      old="_DEPRECATED Set Change Request Status"/>
    <migrate-command
      name="Check Change Request's Child Tasks statuses"
      old="_DEPRECATED Check Change Request's Child Tasks Statuses"/>
    <migrate-command
      name="Update Tasks statuses"
      old="_DEPRECATED Update Tasks Statuses"/>
    <migrate-command
      name="Delete Records DEPRECATED"
      old="_DEPRECATED Delete Records"/>
  </migrate>
  <migrate to-version="15">
  </migrate>
  <migrate to-version="16">
  </migrate>
  <migrate to-version="17">
  </migrate>
  <migrate to-version="18">
    <migrate-command name="Check Change Request Fields">
    </migrate-command>
  </migrate>
</plugin-upgrade>
